BackupVaultsOperations Class

BackupVaultsOperations async operations.

You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.

Inheritance
builtins.object
BackupVaultsOperations

Constructor

BackupVaultsOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Variables

models

Alias to model classes used in this operation group.

Methods

begin_create_or_update

Creates or updates a BackupVault resource belonging to a resource group.

begin_update

Updates a BackupVault resource belonging to a resource group. For example, updating tags for a resource.

check_name_availability

API to check for resource name availability.

API to check for resource name availability.

delete

Deletes a BackupVault resource from the resource group.

get

Returns a resource belonging to a resource group.

get_in_resource_group

Returns resource collection belonging to a resource group.

get_in_subscription

Returns resource collection belonging to a subscription.

begin_create_or_update

Creates or updates a BackupVault resource belonging to a resource group.

async begin_create_or_update(vault_name: str, resource_group_name: str, parameters: azure.mgmt.dataprotection.models._models_py3.BackupVaultResource, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.dataprotection.models._models_py3.BackupVaultResource]

Parameters

vault_name
str
Required

The name of the backup vault.

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

parameters
BackupVaultResource
Required

Request body for operation.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either BackupVaultResource or the result of cls(response)

Return type

Exceptions

begin_update

Updates a BackupVault resource belonging to a resource group. For example, updating tags for a resource.

async begin_update(vault_name: str, resource_group_name: str, parameters: azure.mgmt.dataprotection.models._models_py3.PatchResourceRequestInput, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.dataprotection.models._models_py3.BackupVaultResource]

Parameters

vault_name
str
Required

The name of the backup vault.

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

parameters
PatchResourceRequestInput
Required

Request body for operation.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either BackupVaultResource or the result of cls(response)

Return type

Exceptions

check_name_availability

API to check for resource name availability.

API to check for resource name availability.

async check_name_availability(resource_group_name: str, location: str, parameters: azure.mgmt.dataprotection.models._models_py3.CheckNameAvailabilityRequest, **kwargs: Any) -> azure.mgmt.dataprotection.models._models_py3.CheckNameAvailabilityResult

Parameters

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

location
str
Required

The location in which uniqueness will be verified.

parameters
CheckNameAvailabilityRequest
Required

Check name availability request.

cls
callable

A custom type or function that will be passed the direct response

Returns

CheckNameAvailabilityResult, or the result of cls(response)

Return type

Exceptions

delete

Deletes a BackupVault resource from the resource group.

async delete(vault_name: str, resource_group_name: str, **kwargs: Any) -> None

Parameters

vault_name
str
Required

The name of the backup vault.

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

cls
callable

A custom type or function that will be passed the direct response

Returns

None, or the result of cls(response)

Return type

Exceptions

get

Returns a resource belonging to a resource group.

async get(vault_name: str, resource_group_name: str, **kwargs: Any) -> azure.mgmt.dataprotection.models._models_py3.BackupVaultResource

Parameters

vault_name
str
Required

The name of the backup vault.

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

cls
callable

A custom type or function that will be passed the direct response

Returns

BackupVaultResource, or the result of cls(response)

Return type

Exceptions

get_in_resource_group

Returns resource collection belonging to a resource group.

get_in_resource_group(resource_group_name: str, **kwargs: Any) -> AsyncIterable[azure.mgmt.dataprotection.models._models_py3.BackupVaultResourceList]

Parameters

resource_group_name
str
Required

The name of the resource group where the backup vault is present.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either BackupVaultResourceList or the result of cls(response)

Return type

Exceptions

get_in_subscription

Returns resource collection belonging to a subscription.

get_in_subscription(**kwargs: Any) -> AsyncIterable[azure.mgmt.dataprotection.models._models_py3.BackupVaultResourceList]

Parameters

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either BackupVaultResourceList or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.dataprotection.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\dataprotection\\models\\__init__.py'>